package cn.superdesk.uniorder.common.bizScene.invoice.common;

import cn.superdesk.uniorder.common.enums.invoice.common.InvoiceTypeMoudelEnum;
import cn.superdesk.uniorder.common.enums.invoice.common.InvoiceTypeMoudelXModeEnum;
import lombok.RequiredArgsConstructor;

/**
 * @Description: Java类作用描述
 * @Author: linjinyu
 * @CreateDate: 2022/4/29 4:10 下午
 * @UpdateUser: linjinyu
 * @UpdateDate: 2022/4/29 4:10 下午
 * @UpdateRemark: 修改内容
 * @Version: 1.0
 */
@RequiredArgsConstructor
public class InvoiceTypeScene {

    public static String[] modulesV2_1_Array_SceneParamCheck() {

        String[] invoiceTypeModules = {
                InvoiceTypeMoudelEnum.客户结算.getKey(),    // customerGoods
                InvoiceTypeMoudelEnum.积分结算.getKey(),    // customerCredit
                InvoiceTypeMoudelEnum.供应商结算.getKey()   // supplierGoods
        };

        return invoiceTypeModules;
    }

    public static String[] modesV2_1_Array_SceneParamCheck() {

        String[] invoiceTypeMoudelXMode = {
                InvoiceTypeMoudelXModeEnum.线下开票.getKey(),
                InvoiceTypeMoudelXModeEnum.深圳航信电子发票.getKey(),
                InvoiceTypeMoudelXModeEnum.深圳航信纸质发票.getKey(),
        };

        return invoiceTypeMoudelXMode;
    }

    /**************************************** op领票 start ****************************************/

    public static String[] modesV2_1_Array_SceneNeedOpReceive() {

        String[] invoiceTypeMoudelXMode = {
                InvoiceTypeMoudelXModeEnum.线下开票.getKey(),
//                InvoiceTypeMoudelXModeEnum.深圳航信电子发票.getKey(),// 无需领票
                InvoiceTypeMoudelXModeEnum.深圳航信纸质发票.getKey()
        };

        return invoiceTypeMoudelXMode;
    }

    /**************************************** op领票   end ****************************************/

    /**************************************** op寄票 start ****************************************/

    public static String[] modesV2_1_Array_SceneNeedOpMailTick() {

        String[] invoiceTypeMoudelXMode = {
                InvoiceTypeMoudelXModeEnum.线下开票.getKey(),
//                InvoiceTypeMoudelXModeEnum.深圳航信电子发票.getKey(),// 无需寄票
                InvoiceTypeMoudelXModeEnum.深圳航信纸质发票.getKey()
        };

        return invoiceTypeMoudelXMode;
    }

    public static String[] modesV2_1_Array_SceneNeedOpMailTickEdit() {

        String[] invoiceTypeMoudelXMode = {
                InvoiceTypeMoudelXModeEnum.线下开票.getKey(),

                // 在混合的情况下是错的 ---- 现在是对的 ---- mark by linjinyu at 20220507

                // 【【结算中心-测试环境】积分结算-发票管理-开票方式为“深圳航信电子发票”，修改寄票-【确认修改】提示“数据异常”】
                // https://www.tapd.cn/33003868/bugtrace/bugs/view?bug_id=1133003868001005073
                // 又双叕冲突 纯电的情况 ---- mark by linjinyu at 20220507

                // 解决方案 在这里直接放开就好了
                InvoiceTypeMoudelXModeEnum.深圳航信电子发票.getKey(),// 无需寄票
                InvoiceTypeMoudelXModeEnum.深圳航信纸质发票.getKey()
        };

        return invoiceTypeMoudelXMode;
    }

    /**************************************** op寄票   end ****************************************/

}
